<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN" "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd">
<refentry id="vfs_commit.8">

<refmeta>
	<refentrytitle>vfs_commit</refentrytitle>
	<manvolnum>8</manvolnum>
	<refmiscinfo class="source">Samba</refmiscinfo>
	<refmiscinfo class="manual">System Administration tools</refmiscinfo>
	<refmiscinfo class="version">4.10.11</refmiscinfo>
</refmeta>


<refnamediv>
	<refname>vfs_commit</refname>
	<refpurpose>flush dirty data at specified intervals</refpurpose>
</refnamediv>

<refsynopsisdiv>
	<cmdsynopsis sepchar=" ">
		<literal>vfs objects = commit</literal>
	</cmdsynopsis>
</refsynopsisdiv>

<refsect1>
	<title>DESCRIPTION</title>

	<para>This VFS module is part of the
	<citerefentry><refentrytitle>samba</refentrytitle>
	<manvolnum>7</manvolnum></citerefentry> suite.</para>

	<para>The <literal>vfs_commit</literal> VFS module keeps track of
	the amount of data written to a file and synchronizes it to
	disk when a specified amount accumulates.
	</para>

	<para><literal>vfs_commit</literal> is useful in two
	circumstances. First, if you have very precious data, the
	impact of unexpected power loss can be minimized by a small
	commit:dthresh value. Secondly, write performance can be
	improved on some systems by flushing file data early and at
	regular intervals.</para>

	<para>This module is stackable.</para>

</refsect1>


<refsect1>
	<title>OPTIONS</title>

	<variablelist>

		<varlistentry>
		<term>commit:dthresh = BYTES</term>
		<listitem>
		<para>Synchronize file data each time the specified
		number of bytes has been written.
		</para>

		<para>The following suffixes may be applied to BYTES:</para>
		<itemizedlist>
		<listitem><para><literal>K</literal> - BYTES is a number of kilobytes</para></listitem>
		<listitem><para><literal>M</literal> - BYTES is a number of megabytes</para></listitem>
		<listitem><para><literal>G</literal> - BYTES is a number of gigabytes</para></listitem>
		</itemizedlist>

		</listitem>
		</varlistentry>

	</variablelist>
</refsect1>

<refsect1>
	<title>EXAMPLES</title>

	<para>Synchronize the file data on the [precious] share after
	every 512 kilobytes (524288 bytes) of data is written:</para>
<programlisting format="linespecific">
        <parameter>[precious]</parameter>
	<link xmlns:xlink="http://www.w3.org/1999/xlink" linkend="PATH" xlink:href="smb.conf.5.html#PATH">path = /data/precious</link>
	<link xmlns:xlink="http://www.w3.org/1999/xlink" linkend="VFSOBJECTS" xlink:href="smb.conf.5.html#VFSOBJECTS">vfs objects = commit</link>
	<link xmlns:xlink="http://www.w3.org/1999/xlink" linkend="COMMIT:DTHRESH" xlink:href="smb.conf.5.html#COMMIT:DTHRESH">commit:dthresh = 512K</link>
</programlisting>
</refsect1>

<refsect1>
	<title>CAVEATS</title>
	<para>On some systems, the data synchronization performed by
	<literal>commit</literal> may reduce performance.
	</para>
</refsect1>

<refsect1>
	<title>VERSION</title>
	<para>This man page is part of version 4.10.11 of the Samba suite.
	</para>
</refsect1>

<refsect1>
	<title>AUTHOR</title>

	<para>The original Samba software and related utilities
	were created by Andrew Tridgell. Samba is now developed
	by the Samba Team as an Open Source project similar
	to the way the Linux kernel is developed.</para>

</refsect1>

</refentry>
